/***** binomial.c *************************************************
 * Description: Compute binomial coefficient.
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Jun 20 12:56:50 2004.
 *
 * This file is part of shulen.
 *
 *   Shulen is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Shulen is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with shulen; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *****************************************************************/

double factorial(int n);

/* Return the value of n \choose k */
double binomial(int n, int k){
  double p;

  p = factorial(n)/factorial(n-k)/factorial(k);
  return p;
}

/* Return the value of n! */
double factorial(int n){
  double p = 1;
  double i;

  for(i=2;i<=n;i++){
    p *= i;
  }
  return p;
}
